@media (min-width: 651px) {
    html { 
        width: 100%; 
        height: 100%; 
        padding: 0; 
        margin-bottom: 10px;
        min-height: 900px;
    }

    form, main {
        display: flex;
        flex-direction: row; /* Nested horizontal flex layout */
        padding-bottom: 5px;
        width: auto;
    }
    
    fieldset {
        width: 100%;
    }

    #highscore {
        width: 100%;
        margin-right: 10px;
        margin-top: 20px;
        height: 80%;
    }

    section {
        padding: 10px;
    }

    body {
        height: 80%;
    }
    #coloursTable td{
        font-size: 0.8em;
    }
}
    body {
        display: flex;
        flex-direction: column;
        font-family: 'Trebuchet MS', sans-serif;
        border: 2px solid #D3C9C7; 
        border-radius: 10px; 
    }

    main {
        height: 100%;
    }

    #highscore {
        flex: 1;
        border: 2px solid #D3C9C7; 
        border-radius: 10px; 
    }

    header {
        color: black;
        text-align: center;
        border-top-right-radius: 10px; 
        border-top-left-radius: 10px; 
        background-color: #61AEBC;
    }

    #coloursTable {
        flex: 3;
    }

    #coloursTable table {
        width: 100%;
        table-layout: fixed;
        border-collapse: separate; /* adds space between the cells*/
        height: 80%;
        border-spacing: 10px; /* sets the size of the space*/
    }

    #coloursTable table tr {
        height: auto;
    }

    #coloursTable table td {
        color: black;        
        border: rgb(131, 131, 131) solid 4px;
        width: 100%;
    }

    #coloursTable table td.selected {
        border: yellow solid 4px;
        /* https://developer.mozilla.org/en-US/docs/Web/CSS/box-shadow */
    }

    #colourMessage
    {
        text-align: center;
        font-size: 10pt;
        padding: 1%;
    }

    fieldset {
        text-align: center;
        display: flex;
        flex-direction: column;
        border-radius: 25px;
        background-color: #60C8B7;
    }

    label, .header{
        font-weight: bold;
        padding-top: 5px;
        padding-bottom: 5px;
    }
    
    .header:nth-child(2):hover {
        background-color: #f0f0f0;
        border-radius: 10px;
        padding: 5px;
    }

    button{
        width: 100%;
        border-color: #D3C9C7;
        border-radius: 10px;
    }

    input{
        background-color: white;
    }    

    input:invalid{
        background-color: red;
    }

    h3 {
        text-align: center;
    }

    #coloursTable td{
        text-align: center;
        overflow: hidden;
    }

    #highscore th{
        text-align: left;
        width: 25%;
    }

    #highscore td {
        width: 25%;
    }

    footer{
        text-align: center;
        background-color: #61AEBC;
        border-bottom-right-radius: 10px; 
        border-bottom-left-radius: 10px; 
    }

